function menu(a) {
    a.classList.toggle('ativo');
    document.getElementById('menu').classList.toggle('none');
}

function aside(a) {
    a.classList.toggle('ativo');
    document.getElementsByTagName('aside')[0].classList.toggle('none');
}

function selecionarTodos(a) {
        
}

function limparSelecaoEstoqueProduto() {
    $('#lista-estoque-produto-container tr', this.$el).each(function () {
        $(this).css('background-color', '');
    });
}

function consulta(a) {
    var consulta = document.getElementById('jmConsulta');
    a.classList.toggle('ativo');
    consulta.classList.toggle('none');
    consulta.style.left = a.offsetLeft + 'px';
    consulta.style.marginTop = '-8px';
}

function conf(a) {
    var conf = document.getElementById('jmConf');
    conf.classList.toggle('none');
    a.classList.toggle('selecionado');
    conf.style.left = a.offsetLeft + 'px';
}

function listaConf(a) {
    a.classList.toggle('icone-vazio');
}

function esconde(a) {
    a.classList.toggle('esconde');
    a.parentNode.nextElementSibling.classList.toggle('none');
}

function info() {
    var info = document.getElementById('jmInfo'),
        over = document.getElementById('overlay');
    info.className = 'jm modal-info';
    over.className = 'overlay';
}

function fechar() {
    var info = document.getElementById('jmInfo'),
        over = document.getElementById('overlay');
    info.className = 'none';
    over.className = 'none';
}

function toggleInfo(a) {
    a.checked = false;
    document.getElementById('maisInfo').disabled = false;
}

function check(a) {
    var b = a.getElementsByTagName('input')[0];
    if (b.checked == true) {
        b.checked = false;
    } else {
        b.checked = true;
        a.className = 'selecionado';
    }
}

//function topo() {
//    var c = document.getElementById('tabelaProdutos'),
//        topo = document.getElementById('topo');
//    if ((c.offsetTop - document.body.scrollTop) <= 0) {
//        topo.className = 'icone-topo ativo';
//    } else {
//        topo.className = 'icone-topo';
//    }
//}


//window.onscroll = topo;

//document.body.className = 'rodape-fixo';
//document.getElementsByTagName('h1')[0].className = 'logo-cliente2';
//document.getElementsByTagName('h1')[0].innerHTML = 'Nome da Empresa <span class="secao">Vendas</span>';